## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET
/v2.0/projects

Try it
Get Projects

### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/projects \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/projects', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/projects"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

200

400

401

402

403

404

405

409

413

500

501

502

503

504

### Sample Response

```
{
  "items": [
    {
      "name": "New Project",
      "color": "blue",
      "handoverConfiguration": {
        "setupLiveAgentInbox": true
      },
      "liveAgentDefaultInbox": 123,
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Error Responses

```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

### Authorizations

- APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

#### Headers

- `X-API-Key`: string, header, required - Supply the API Key in the HTTP-Header.

#### Query Parameters

- `filter`: string - The string to filter Projects by name.
- `limit`: integer - The maximum number of items to return (default: 25, max: 100).
- `skip`: integer - The number of items to skip before returning the results (default: 0).
- `sort`: string - The order in which results are returned.
- `next`: string - The cursor that points to the next page of results.
- `previous`: string - The cursor that points to the previous page of results.
- `ignoreOwnership`: boolean - If set to `true`, lists all Projects in the organization regardless of ownership (default: false).

#### Response

200

application/json

Paginated array of Projects retrieved.

```json
{
  "items": [],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

Last modified on July 8, 2026
